Internet Relay Chat and Instant Messaging channels
==================================================

IRC
---

For a short introduction to IRC, [skip to the bottom of this page](Channels#general-irc-info-and-rules).

### Quakenet (irc.quakenet.org:6667)

    #xonotic           - General purpose channel
    #xonotic.admins    - Channel for server admins
    #xonotic.cup       - Cup channel
    #xonotic.duel      - Duel League channel
    #xonotic.editing   - Channel for mapmakers, modelers, texturers, etc.
    #xonotic.insta     - Insta channel
    #xonotic.ninjaz    - Xonotic Ninjaz (former Nexuiz Ninjaz)
    #xonotic.pickup    - Pickup channel
    #xonotic.translate - Channel to discuss translation issues
    #xdf               - Xonotic DeFrag

#### Country specific IRC channels

    #xonotic.au - Xonotic Australia
    #xonotic.de - Xonotic Germany
    #xonotic.fi - Xonotic Finland
    #xonotic.it - Xonotic Italy
    #xonotic.ro - Xonotic Romania
    #xonotic.ru - Xonotic Russia
    #xonotic.se - Xonotic Sweden
    #xonotic.uk - Xonotic United Kingdom

#### Clan channels

    #bot.xonotic         - BOT
    #cf.etqw             - Combat Folk
    #conquerors          - Conquerors
    #dbc                 - DodgingBullets
    #dear                - dear
    #deathmatchers       - Deathmatchers
    #dietunichtguten     - Die Tunichtguten
    #eatseakittens       - Eat Sea Kittens
    #evil.ant.colony     - Evil Ant Colony
    #exile.xonotic       - eXiLe
    #lovers              - Lovers
    #menintux            - Men in Tux
    #mon.xonotic         - Monks of Nexuiz
    #nsb.nexuiz          - NSB - The Dyslexic Loser Mob
    #OHSNAP!             - OHSNAP!
    #pb.xonotic          - PeaceBrothers
    #profoundvelocity    - Profound Velocity
    #ps.xonotic          - Paradox Space
    #psyx                - Psychos of Xonotic
    #sh.nexuiz           - Shell
    #smb                 - Super Mario Brothers
    #smokebreak          - Smoke Break
    #unconnected.xonotic - unconnected

#### Server channels

    #dtg.ctf           - Die Tunichtguten server (Minsta CTF)
    #esk.xonotic       - Eat Sea Kittens server (Minsta CTF)
    #exile.xonotic.1v1 - eXiLe servers (Minstagib + Duel)
    #hoctf             - House of CTF
    #mon.sa            - MoN servers (Overkill + Vehicle)
    #Prophets.Duel     - Prophets Minsta 1v1 server
    #Prophets.XDF      - Propehts DeFrag server
    #uc.xon            - Unconnected servers
    #xdf               - Xonotic DeFrag server

### FreeNode (chat.freenode.net:6667)

    #xonotic - Game developer channel. Non-development subjects should be directed to the main Xonotic channel on QuakeNet

### ARCNet (irc.arcnet.vapor.com:6667)

    #dcc.admins - DCC Admins
    #dccdelight - DCC Delight servers

### GlobalGamers (irc.globalgamers.net:6667)

    #xonotic - General channel

Jabber XMPP MUCs
----------------

    xonotic at conf.jabberes.org - Spanish channel
    xonotic at conference.jabber.ru - Russian channel
    xonotic at conference.jabber.org - English channel

General IRC info and rules
--------------------------

### About

Internet Relay Chat is one of the oldest methods for instant communication on the Internet. Interconnected Servers form a Network to which you can log on with an IRC client and provides channels (similar to conference calls or chats) where you can communicate with all others on the same channel in realtime and it’s possible to join and be present on multiple channels in parallel.

Channels are synchronized across all servers of the same network, but not across Networks. Channels with the same name on different Networks are completely independent.
Most modern IRC clients also allow you to connect to several networks in parallel.

### Help

Be conscious about security when connecting to any IRC network. Following these three rules will keep you out if trouble:

1.  Don’t ever IRC as root! On Windows, don’t use an administrator account.
2.  Don’t just click or open any link that gets posted unless you are sure it is safe.
     Don’t type commands into your client or chatwindow that others tell you to. Verify it’s safe to do so or evil things might happen.
3.  Especially if you want to stay around for longer on a network, get a bouncer or cloak.

How to get a cloak depends on the network you are on. This normally means registering your nick on the network and setting some usermodes, then will prevent others from seeing your real IP address so you are less likely to get attacked for whatever reasons. Find your networks help channel and ask there if you can’t figure it otherwise.
Some networks don’t provide this service, you might want to think twice before going there without a bouncer.
You can also connect through Tor or a different anonymity service to hide your real whereabouts. But you might be blocked from some channels because these services are often used by spammers and other strange individuals.
If you are paranoid your connection might get tapped or rerouted, most serious networks also provide SSL connections on port 7000 so you can be sure to have some privacy from your ISP. Also a good idea if you surf on WLANs or open networks.

### Rules

IRC has it’s own strange set of rules and etiquette. Newcomers without that knowledge often find it troublesome and frustrating until they get the hang of things.
Here are the most important rules to get you started.

-   Be patient.

People are often connected 24/7 and simply seeing them in a channel does not imply they are actually in front of their computer or watching the chat window all the time. Depending on channel and timezones of others, it might be hours until you get a reply.

-   Don’t ask to ask. Just ask.

Noone likes to answer meta questions. Or nobody might be there to answer it. Waiting for it will just take you longer to get your real question answered.
If you just ask your question someone who can help will likely speak up.
Also don’t direct a generic question at someone if you don’t really mean to. Others who might know an answer and could help you are likely to ignore you then.

-   Don’t be rude. Don’t be demanding.

Especially on help channels where people help you out on their free time, this will likely get you ignored very fast or even kicked from the channel.
It is also considered rude to highlight (typing other peoples names) someone repeatedly to get their attention.

-   Don’t repeat yourself.

This goes mostly for help channels, but repeating a question multiple times within minutes doesn’t get you an answer any faster.
This is also considered rude and more likely will get you ignored.
People who have been away tend to read their chat history or backlog and will get back to you on their own.
But on a very busy channel, your text might get overlooked and you can repeat it after waiting an appropriate time.

