Ideas For The Xonotic Announcement FAQ
======================================

What prompted the split from Nexuiz?
------------------------------------

Lee Vermeulen, the Nexuiz project founder, decided to license the Nexuiz code, including the DarkPlaces engine, to a new game development company named IllFonic so that they could develop a closed-source version for the PS3. As part of this deal, IllFonic acquired the rights to use the name Nexuiz along with the domain nexuiz.com, and are under no obligation to contribute code back to the open-source Nexuiz project. UPDATE: Lately, there had been promises about parts of the game code, and some recent engine changes have surfaced to be changes actually done in contract for IllFonic.

When this was announced, the response from the Nexuiz community was overwhelming negative, even from the development team and main contributors. Vermeulen had not actively participated in the project for several years and all development has been done by the community. Most members have expressed a sense of betrayal and cited the project as an example of [Mushroom Management](http://en.wikipedia.org/wiki/Mushroom_management). Vermeulen essentially cashed in on the hard work of others and sold the code, name and reputation that they had built up over years without him.

Despite attempts to reason with IllFonic [link], they have refused to change the name of their project to a derivative name even though they have directly stated that their “version” of Nexuiz is a completely different game [link]. The hijacking of the Nexuiz project by its absentee founder and IllFonic made it clear that it had no future as it stood and thus the community left to found Xonotic.

It should also be noted that IllFonic’s code might be in violation of the GPL as most contributors to the Nexuiz codebase have not relicensed their work for inclusion in a closed-source project. This has been another source of outrage for many. This finally led to IllFonic changing plans, and instead licensing the Nexuiz 1.0 code, which Alientrap does have a relicensing right on.

Was a compromise attempted?
---------------------------

Yes, many in the Nexuiz community tried to reach a compromise [link], such as having IllFonic contribute some artwork and/or gamecode back to Nexuiz GPL and for them to use a derivative name for their project, e.g. “Nexuiz Reloaded”. IllFonic flatly refused all such suggestions. This, along with the clear stance that Alientrap has taken on this issue, made it clear that no compromise could be reached.

Is IllFonic going to release a Nexuiz PC edition?
-------------------------------------------------

According to a previous statement from IllFonic [link], there will be no Nexuiz PC edition by IllFonic.

How will the management of Xonotic differ from Alientrap/Nexuiz GPL?
--------------------------------------------------------------------

From the very start, we all discussed organizing the Xonotic Team with a handful of caretakers to make decisions on big/difficult issues for the game, and a committee underneath with community contributors who make decisions on most issues. The caretakers will also act to keep the project on track and maintain organization. All decisions will be made with input of the committee. The names of the caretakers are:

-   DivVerent [GER] : Lead developer
-   -z- [US] : Lead web developer, Server admin
-   Dokujisan [US] : Community director, Server admin
-   tZork [SWE] : Developer, Server admin, Mapper, Modeler
-   mand1nga [ARG] : Developer
-   merlijn [HOL] : Developer, Server admin
-   Morphed [POL] : Modeler, Developer

Do you despise Vermeulen, LordHavoc or IllFonic?
------------------------------------------------

**No!** Without the past work of Vermeulen and LordHavoc, we would not have the game that we enjoy today. We wish them the best of luck in their endeavors. We hope IllFonic’s Nexuiz on PS3 is successful. We simply had a difference of opinion on project management and the result is going to be very positive; We’re forming a game project that matches what we wanted out of Nexuiz all along.

When will the first release arrive?
-----------------------------------

We don’t have a deadline (even a vague one) set for that. We are working out which features and changes we want in the game, and which of those we would want in our first release.

How and why did you choose the name?
------------------------------------

Brainstorming of the name started on day 1 of our discussions, and the process took about 4-5 days.

We had about 30 key community members onboard at the time of the name choosing. We all submitted ideas and voted on the best names. Some names were ruled out because of domain availability and name-conflicts with other software projects or companies in the software industry. Some names were ruled out because of how common they were in Google searches. Xonotic was a unique name with an available .com/.net/.org and Google search results were almost none.

How and why did you choose the logo?
------------------------------------

The logo design process took about a week, with a handful of people contributing designs, and constantly adjusting those designs based on feedback.

The phoenix image of the logo is obviously refers to “rising from the ashes”.

Another aspect of the logo is the center ring, which has some similarities to the Quake logo; it has a fatter bottom edge and thinner top edge, though quake didn’t use a complete ring shape. This is intended as a pay of respect to the Quake origins of the game, as the DarkPlaces engine was originally based on the Quake 1 engine.

Is Xonotic going to continue with Nexuiz version numbers, or start with a version 1.0?
--------------------------------------------------------------------------------------

We will reset the version numbering to v1.0. We may release a v0.9 to start, with a plan for features that would go into a v1.0

What is going to be different between Xonotic and the current Nexuiz GPL?
-------------------------------------------------------------------------

-   A more unified and consistent art direction
-   New player models and animations
-   New set of default maps, some of them will get a makeover
-   New sounds and music
-   New stronger bot AI
-   Low quality textures will be dropped and replaced with higher quality ones
-   Some weapon models may be changed
-   More frequent releases
-   Global player stats tracking system, supporting anonymous player as well
-   So much more …

Will gameplay change at all? (physics, etc)
-------------------------------------------

We will likely tweak this overtime, but not likely for our first release. We like the basics of Nexuiz gameplay, but things could be improved.

Are you forking DarkPlaces? (the game engine)
---------------------------------------------

We don’t intend to do this. If we have any changes that we need to submit to DarkPlaces, we’re optimistic that those changes will be accepted as long as it improves the engine. If we end up having changes to DarkPlaces rejected, then we may have to revisit this question.

However, a stable branch of DarkPlaces for use by Xonotic releases will be maintained by us.

