Capture The Flag (CTF)
======================

[![](http://pics.nexuizninjaz.com/images/zh1xq7e8jbjjwxk6ggh.jpg)](http://pics.nexuizninjaz.com/images/r9bwz58b2dli06rrqdsx.jpg)
[![](http://pics.nexuizninjaz.com/images/hm0x93hvbm1npbecvi30.jpg)](http://pics.nexuizninjaz.com/images/r9d27gmnj4kv5piexh6t.jpg)  
*Click for bigger pictures*

Object of the Game
------------------

In CTF there are 2 teams (red & blue), while each team got a base with their flag. The goal is to steal the other teams’ flag and bring it to your own to capture it. That’s only possible if your own flag is in your base and not taken by the other team. Usually a team needs 10 captures (caps) to win a map.

![](http://pics.nexuizninjaz.com/images/tn6dbyyeq2hjoq1rwwu7.jpg)

How To:

- Get the flag? Just walk over it.
- Return our flag? Kill the enemy and walk over the flag.
- Capture the flag? Hold the enemy’s flag and walk over your own in your base.

Map Entities
------------

_(Insert Map Entities here)_

Helpful Hints and Tips
----------------------

- Some maps can contain powerups like “[Strength](../Powerups#strength)” or “[Shield](../Powerups#shield)” (which 
usually spawn 
every 2 minutes). They can be useful tools to win a match!
- [Binds](../Binds) are useful to organize your team, e.g. to let them know if you are going to attack. There are several default binds on the Numpad.
- There is always a yellow waypoint above your Flag Carrier (FC) with a bar that shows his health and obviously it shows his position. Especially if he is on very low health try to assist and help him to capture the flag.

List of Demos and Videos
------------------------

-   Demo: _(Insert Demo or Video Here)_
-   Players: _(Insert Player Names Here)_
-   Key Points: _(Insert key points in match here)_

Map layouts
-----------

There are three basic types of level layouts that tend to be favored. Each has its advantages and disadvantages.

###Rectangular
-----------

Maps with a straightforward, linear route from flag to flag. The map is typically divided into three portions: a base area for each team, with a middle area connecting both of them to one another.

**Levels**: Gasoline powered, mentalspace, hydro, facing worlds  
**Advantages**: Teammate positions on map are apparent, with attacker, defender, and roamer clearly defined. Fastest way to base is also apparent, with detours leading to health and items. These maps are great for new players because of the simplicity of the layout. Stalemates are easily resolved due to there being no real hiding place for flag carriers.  
**Disadvantages**: Very easy to defend which results in camping, often making predictable game play.  

###Ant hill
--------

These maps are often the same shape as rectangular maps, but have many different paths to the bases. They are often enclosed or semi-enclosed, which makes the paths tunnel-like (hence, like an ant hill or a termite mound). For effective play, more attention must be given to the mini-map and and teammate communication than in an ordinary rectangular map.

**Levels**: Mikectf, moonstone  
**Advantages**: Interesting game play, making confrontation with the enemy less frequent, bringing the game back to capture the flag. Deference is a little harder unless spawn points are in base.  
**Disadvantages**: Carrier is easily hidden. Often resulting in a stalemates which slows game play. Players have to work all positions on the field to be successful. Game becomes very “chase to flag carrier through the tunnels”  

###S- or Z-shaped
--------------

This is a non-linear map with a few detours and alternative routes to the bases. It tends to be a balanced level layout that offers a good deal of straightforwardness like a rectangular map with the variety of paths between bases like an ant hill map.

**Levels**: dm_castle, Dance  
**Advantages**: Camping does not offer defense of the entire base so more offensive strategies must be used, leading to more dynamic game play. Positions are still apparent, making team organization easy  
**Disadvantages**: Harder for new players due to more complicated routes to flags, slowing game play. Although laser walling resolves this problem.  

