Legal
=====

GPL
---

Xonotic and everything that comes with our releases is licensed under the [GNU General Public Licence v2](http://www.gnu.org/licenses/gpl-2.0.html) including the “or any later version” clause. We are bound to this license because the original Quake1 engine was released under the GPL, and we cannot relicense large portions of the game as not all of the contributors can be reached.

Some of our artwork may be licensed under different licenses, which must be GPL compatible. More information about this can be found under the contributions section.

If you have reasons to request a copy of any piece part of our game under a different license, you may request the original authors to relicense their work. Alternatively you may contact the Xonotic Team to discuss possible options. Be advised that many of us are strong believers in the Open Source philosophy, and may refuse your requests without further discussion.

Making your contributions ready for inclusion
Since we have many forms of contributions, they will be split up into some main categories. We want to accept as many licenses as possible, we just require that they are GPL compatible. The licenses listed below are simply examples of licenses that can be used, however it is not meant as a exhaustive list.

### Code

All code must be GPL v2 “or any later version”. You may dual license your code with another license, of course.

### Artwork

In the common case that you perform further edits on your artwork on basis of the last saved image version, the image is its own preferred editable format and thus the source.

However, in case you keep other project files (like layered image versions), these are the source you are asked to provide.

Which program you used to create these does not matter for legal purposes, as you are legally the owner of the work you created with this software. Some programs (in shareware mode, e.g. Terragen) may however restrict you from relicensing the work and/or distributing project files. Read their license agreement for further information.

You may also reuse the work of others, provided that this work is licensed under a license that allows you to freely relicense your work under the GPL. This includes commonly used CC-BY (note that ShareAlike and NonCommercial are NOT compatible), the Artistic License and the MIT License.

### Audio

It is required to provide sources for any audio files to be included. What your source is largely varies on the way you created this audio. If you created or edited your work in a computer program, you must provide the project files and any samples you used. The samples themselves may also be licensed under the CC-BY license, which by themselves do not require you to share the sources you used to create the sample. This means that you can use commercial programs to create a sample and include proprietary synths and effects, as the sample you create will be your work and you may choose to license it in every way you see fit. Especially: there is absolutely nothing wrong with using, for example, expensive VSTi plugins for your work, as long as you still share the project file containing the settings for that VSTi plugin. Even if the music is composed on a totally obscure platform (e.g. Mac OS 9, or Amiga), there is nothing wrong with providing whatever is the native format of that application (e.g. as a floppy disk image).

If you created the music in another way, let’s say you just played it on the piano and recorded it, it may be unclear what your ‘source’ is. Commonly a musical score would be accepted, or if you completely improvised it may be accepted without any source at all. Generally many programs can export the musical score or provide a midi format. This makes it easier for others to work on what you created, and would be nice to be provided additionally to any project files. If you’re unclear what your source is, ask yourself “What would I use if I wanted to modify it?”, the answer is likely to be accepted as source.

You may also reuse samples created by others, *as long as they are licensed under the GPL, CC-BY, Artistic License or the MIT License* (note that ShareAlike and NonCommercial are NOT compatible). _(Provide a list of known legal resources here)._

Xonotic name
------------

Nobody owns the Xonotic name and it has not been registered as a trademark anywhere in the world that we know of. This does not give any single person or a group of people to sell the name, basically it belongs to the community and we are establishing a trademark through the use of this name. Currently this is the easiest way of organizing matters legally for us, and it provides sufficient security against any claims or improper use of the name.

